
Foreman - Feature #35124

Fix preseed_kernel_options to work with full-host-bootdisk deployments

06/28/2022 02:10 PM - Jonas Trüstedt

Status: Closed   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases: 3.8.0

Triaged: Yes Found in Releases: 2.5.4

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9281

  

Description

After the change of the bootdisk plugin to default to full-host ISO with PXELinux instead of host ISO with iPXE, the static network

configuration doesn't work anymore. A setting of the network configuration similar to the kickstart_kernel_options-snippet is needed.

Associated revisions

Revision 0f1d1426 - 08/23/2023 06:41 AM - Jonas Trüstedt

Fixes #35124 - Fix preseed_kernel_options to work with full-host-bootdisk deployments

Update corresponding template snapshots.

Co-authored-by: Bastian Schmidt <schmidt@atix.de>

History

#1 - 06/28/2022 02:28 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9281 added

#2 - 12/20/2022 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/9281)

#3 - 12/20/2022 08:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9281 added

#4 - 05/11/2023 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/9281)

#5 - 06/15/2023 07:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9281 added

#6 - 08/23/2023 06:41 AM - The Foreman Bot

- Fixed in Releases 3.8.0 added

#7 - 08/23/2023 07:00 AM - Jonas Trüstedt

- Status changed from Ready For Testing to Closed

05/20/2024 1/2

mailto:schmidt@atix.de


Applied in changeset foreman|0f1d142664320a26df1ce57104a10c15e56924a9.

#8 - 09/12/2023 08:43 AM - Ewoud Kohl van Wijngaarden

- Category set to Unattended installations

- Triaged changed from No to Yes
